function [tau1, tau2] = evaluate4tau_split(x1,vals)                        
    val_index = [];
    xvals = vals - vals(1) + 1;
    x_l = length(xvals);

    for loc = 2:x_l-1
        ind1 = xvals(loc); ind2 = xvals(x_l);
        val = 0; val1 = 0; val2 = 0;
        if (loc ~= 2) && (loc ~= x_l - 1)
            val1 = val1 + (ind1)*...
                            ( log(range(x1(1:ind1))) ...
                               - log(ind1));
            val1 = val1 + (ind2-ind1)*...
                            ( log(range(x1(ind1+1:ind2))) ...
                               - log(ind2-ind1));
            val2 = val2 + (ind1)*...
                            ( log(zero_crossings(x1(1:ind1) - smooth(x1(1:ind1),1000))) ...
                               - log(ind1));
            val2 = val2 + (ind2-ind1)*...
                            ( log(zero_crossings(x1(ind1+1:ind2) - smooth(x1(ind1+1:ind2),1000))) ...
                               - log(ind2-ind1));

        else
            val1 = 0;
            val2 = 0;
        end

        if val1 == -Inf
            val1 = val_index1(loc-2);
        end
        if val2 == -Inf
            val2 = val_index2(loc-2);
        end
        val_index1(loc-1) = val1;
        val_index2(loc-1) = val2;

    end
    [~, min_loc1] = min(val_index1); 
    [~, min_loc2] = min(val_index2); 
    tau1 = [0 min_loc1 xvals(x_l)]';
    tau2 = [0 min_loc2 xvals(x_l)]';
end